Commit 0ca09021 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Prepare adapt build system for building against qt6

parent 248a6856
Pipeline #168545 passed with stage
in 46 seconds
......@@ -22,6 +22,9 @@ include(FeatureSummary)
include(KDEGitCommitHooks)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
if (QT_MAJOR_VERSION STREQUAL 6)
find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
endif()
find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
Config
......@@ -113,6 +116,9 @@ target_link_libraries(kio_audiocd
Qt::Widgets
Cdparanoia::Cdparanoia
)
if (TARGET Qt6::Core5Compat)
target_link_libraries(kio_audiocd Qt6::Core5Compat)
endif()
install(TARGETS kio_audiocd DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment